- Main Page
- Namespaces
- Classes
- Files
- Directories
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# Exponent::GUI::Listeners::IMouseListener Interface Reference

Inheritance diagram for Exponent::GUI::Listeners::IMouseListener:

List of all members.

## Detailed Description

Allows for responding to mouse actions.

Date:
  21/08/2004

Author:
  Paul Chana

Version:
  1.0.0 Initial version

Note:
  All contents of this source code are copyright 2005 Exp Digital Uk.
  This source file is covered by the licence conditions of the Infinity API. You should have recieved a copy
  with the source code. If you didnt, please refer to http://www.expdigital.co.uk All content is the Intellectual property of Exp Digital Uk.
  Certain sections of this code may come from other sources. They are credited where applicable.
  If you have comments, suggestions or bug reports please visit http://support.expdigital.co.uk

Id
  IMouseListener.hpp,v 1.3 2007/02/08 21:07:54 paul Exp

Definition at line 32 of file IMouseListener.hpp.

## Public Member Functions

- virtual void handleDoubleClick (CMouseEvent &event)=0
- virtual void handleLeftButtonDown (CMouseEvent &event)=0
- virtual void handleLeftButtonUp (CMouseEvent &event)=0
- virtual void handleMouseLeavingArea (CMouseEvent &event)=0
- virtual void handleMouseMovement (CMouseEvent &event)=0
- virtual void handleMouseScroll (CMouseEvent &event)=0
- virtual void handleRightButtonDown (CMouseEvent &event)=0
- virtual void handleRightButtonUp (CMouseEvent &event)=0
- IMouseListener ()
- virtual ~IMouseListener ()

## Constructor & Destructor Documentation

Exponent::GUI::Listeners::IMouseListener::IMouseListener | ( |  | ) | `[inline]`

Construction

Definition at line 44 of file IMouseListener.hpp.

virtual Exponent::GUI::Listeners::IMouseListener::~IMouseListener | ( |  | ) | `[inline, virtual]`

Destruction

Definition at line 49 of file IMouseListener.hpp.

## Member Function Documentation

virtual void Exponent::GUI::Listeners::IMouseListener::handleDoubleClick | ( | CMouseEvent & | event | ) | `[pure virtual]`

Handle a double click on the left button

Parameters:

  | event | The event to handle

Implemented in Exponent::GUI::Controls::CControlRoot.

virtual void Exponent::GUI::Listeners::IMouseListener::handleLeftButtonDown | ( | CMouseEvent & | event | ) | `[pure virtual]`

Handle left button being clicked

Parameters:

  | event | The event to handle

Implemented in Exponent::GUI::Controls::CControlRoot.

virtual void Exponent::GUI::Listeners::IMouseListener::handleLeftButtonUp | ( | CMouseEvent & | event | ) | `[pure virtual]`

Handle left button being released

Parameters:

  | event | The event to handle

Implemented in Exponent::GUI::Controls::CControlRoot.

virtual void Exponent::GUI::Listeners::IMouseListener::handleMouseLeavingArea | ( | CMouseEvent & | event | ) | `[pure virtual]`

Handle a mouse leaving the root area

Parameters:

  | event | The event to handle

Implemented in Exponent::GUI::Controls::CControlRoot.

virtual void Exponent::GUI::Listeners::IMouseListener::handleMouseMovement | ( | CMouseEvent & | event | ) | `[pure virtual]`

Handle the mouse movement

Parameters:

  | event | The event to handle

Implemented in Exponent::GUI::Controls::CControlRoot.

virtual void Exponent::GUI::Listeners::IMouseListener::handleMouseScroll | ( | CMouseEvent & | event | ) | `[pure virtual]`

Handle the scroll wheel

Parameters:

  | event | The event to handle

Implemented in Exponent::GUI::Controls::CControlRoot.

virtual void Exponent::GUI::Listeners::IMouseListener::handleRightButtonDown | ( | CMouseEvent & | event | ) | `[pure virtual]`

Handle the right button being clicked

Parameters:

  | event | The event to handle

Implemented in Exponent::GUI::Controls::CControlRoot.

virtual void Exponent::GUI::Listeners::IMouseListener::handleRightButtonUp | ( | CMouseEvent & | event | ) | `[pure virtual]`

Handle the right button being released

Parameters:

  | event | The event to handle

Implemented in Exponent::GUI::Controls::CControlRoot.